/*
 * HNReader for Android, with preloading.
 * You can preload the content of HN Links and read the articles + comments when you're offline.
 * @author Vadim Kr.
 * @copyright (c) 2013 bndr
 * @license http://creativecommons.org/licenses/by-sa/3.0/legalcode
 */
package com.example.hnreader;

import java.io.Serializable;
import java.net.URI;
import java.net.URISyntaxException;


public class NewsItem implements Serializable {

    public final String id;
    public final int points;
    public final String date;
    public final String title;
    public final String url;

    public void setText(String text) {
        this.text = text;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public final String username;
    public final int comments_count;
    public final String comments_link;
    public String domain;
    public String text = "";
    public String comments = "";


    public NewsItem(String title, String id, String url, int points, String date, int comments_count, String username, String comments_link)


    {
        this.title = title;
        this.id = id;
        this.url = url;
        this.points = points;
        this.date = date;
        this.comments_count = comments_count;
        this.username = username;
        this.domain = getDomainFromUrl(url);
        this.comments_link = comments_link;
    }

    public String getId() {
        return id;
    }

    public String getUrl() {
        return url;
    }

    public String getDomainFromUrl(String url) {
        URI uri = null;
        try {
            uri = new URI(url);
            return uri.getHost();
        } catch (URISyntaxException e) {
            return "";
        }


    }


}
