package com.example.hnreader.adapters;

import android.content.Context;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.example.hnreader.R;
import com.example.hnreader.models.Comment;

import java.util.ArrayList;

/**
 * Created by bndr on 5/19/13.
 */
public class CommentsListAdapter extends BaseAdapter {

    ArrayList<Comment> items;
    LayoutInflater inflater;
    Context context;

    public CommentsListAdapter(Context context, ArrayList<Comment> comments) {
        this.context = context;
        this.items = comments;
        this.inflater = LayoutInflater.from(context);
    }


    @Override
    public int getCount() {
        return items.size();
    }

    @Override
    public Comment getItem(int i) {
        return items.get(i);
    }

    @Override
    public long getItemId(int i) {
        return 0;
    }

    @Override
    public View getView(int position, View  convertView, ViewGroup viewGroup) {
        convertView = inflater.inflate(R.layout.list_comment_single, null);

        TextView comment_author = (TextView) convertView.findViewById(R.id.comment_author);
        TextView comment_content = (TextView) convertView.findViewById(R.id.comment_content);
        TextView comment_time = (TextView) convertView.findViewById(R.id.comment_time);

        comment_author.setText(items.get(position).username);
        comment_content.setText(items.get(position).text);
        comment_time.setText(items.get(position).ago);

        return convertView;
    }
}
