/*
 * HNReader for Android, with preloading.
 * You can preload the content of HN Links and read the articles + comments when you're offline.
 * @author Vadim Kr.
 * @copyright (c) 2013 bndr
 * @license http://creativecommons.org/licenses/by-sa/3.0/legalcode
 */

package com.example.hnreader.adapters;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.example.hnreader.NewsItem;
import com.example.hnreader.*;

import java.util.ArrayList;

public class MainViewAdapter extends BaseAdapter {

    public ArrayList<NewsItem> items;
    LayoutInflater inflater;
    Context context;

    public MainViewAdapter(Context context, int textViewResourceId, ArrayList<NewsItem> items) {
        this.items = items;
        this.context = context;
        this.inflater = LayoutInflater.from(context);
    }

    public int getCount() {
        return items.size();
    }

    public NewsItem getItem(int position) {
        return items.get(position);
    }

    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {

        convertView = inflater.inflate(R.layout.main_view_list, null);

        TextView title_view = (TextView) convertView.findViewById(R.id.main_list_item_title);
        TextView points_view = (TextView) convertView.findViewById(R.id.main_list_item_points);
        TextView comments_view = (TextView) convertView.findViewById(R.id.main_list_item_comments_button);
        TextView url_view = (TextView) convertView.findViewById(R.id.main_list_item_url);

        title_view.setText(items.get(position).title);
        points_view.setText(String.valueOf(items.get(position).points));
        comments_view.setText(String.valueOf(items.get(position).comments_count));
        url_view.setText(items.get(position).domain);

        return convertView;
    }




}
