/*
 * HNReader for Android, with preloading.
 * You can preload the content of HN Links and read the articles + comments when you're offline.
 * @author Vadim Kr.
 * @copyright (c) 2013 bndr
 * @license http://creativecommons.org/licenses/by-sa/3.0/legalcode
 */
package com.example.hnreader.models;


import android.provider.BaseColumns;

public class EntriesContract {

    private static final String TEXT_TYPE = " TEXT";
    private static final String COMMA_SEP = ",";
    public static final String SQL_CREATE_ENTRIES =
            "CREATE TABLE " + EntriesContract.Entry.TABLE_NAME + " (" +
                    EntriesContract.Entry._ID + " INTEGER PRIMARY KEY," +
                    EntriesContract.Entry.COLUMN_NAME_ENTRY_ID + TEXT_TYPE + " UNIQUE" + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_TITLE + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_URL + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_AUTHOR + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_POINTS + " INTEGER" + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_COMMENTS_COUNT + " INTEGER" + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_COMMENTS + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_TEXT + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_DATE + TEXT_TYPE + COMMA_SEP +
                    EntriesContract.Entry.COLUMN_NAME_DOMAIN + TEXT_TYPE + " )";

    public static final String SQL_DELETE_ENTRIES = "DROP TABLE IF EXISTS " + EntriesContract.Entry.TABLE_NAME;


    public abstract class Entry implements BaseColumns {

        public static final String TABLE_NAME = "news_items";
        public static final String COLUMN_NAME_ENTRY_ID = "itemid";
        public static final String COLUMN_NAME_TITLE = "title";
        public static final String COLUMN_NAME_URL = "url";
        public static final String COLUMN_NAME_POINTS = "points";
        public static final String COLUMN_NAME_COMMENTS_COUNT = "comments_count";
        public static final String COLUMN_NAME_COMMENTS = "comments";
        public static final String COLUMN_NAME_TEXT = "text";
        public static final String COLUMN_NAME_AUTHOR = "author";
        public static final String COLUMN_NAME_DOMAIN = "domain";
        public static final String COLUMN_NAME_DATE = "date";
    }


}
